{% extends 'utils/_table_layout.html' %}

{% block content_title %}Password list{% endblock %}

{% block link %}
    {{ super() }}
    <script src="https://unpkg.com/string-similarity/umd/string-similarity.min.js"></script>
    <script src="{{ static('js/includes/utils.js') }}"></script>
    <script src="{{ static('js/password_tag/itemList.js') }}"></script>
{% endblock %}

{% block before_table %}
    <div class="columns">
        <div class="column is-one-quarter">
            <div class="field has-addons">
                <div class="control" style="width: 100%">
                    <input 
                        id="search-input" 
                        class="input" 
                        type="text" 
                        placeholder="Search"
                    >
                </div>
                <div class="control">
                    <button id="search-button" class="button is-info">Search</button>
                </div>
            </div>
        </div>
        <div class="column text-right">
            <a href="{{ url('shared_items') }}" id="create" class="button">
                Shared password
            </a>
        </div>

        <div class="column text-right">
            <a href="{{ url('history_list') }}" id="create" class="button">
                History
            </a>
        </div>

        <div class="column text-right">
            <a href="{{ url('create_item') }}" id="create" class="button">
                Create a new password tag
            </a>
        </div>
    </div>
{% endblock %}

{% set header_columns = ['Username', 'Password', 'Url', ''] %}
{% set data_items = password_tags %}
{% set data_columns = ['username', 'password', 'url'] %}

{% block table_colgroup %}
    <col span="1" style="width: 20%">
    <col span="1" style="width: 30%">
    <col span="1" style="width: 30%">
    <col span="1" style="width: 20%">
{% endblock %}

{% block table_tbody %}
    {% for data in data_items %}
        <tr data-id="{{ data.id }}">
            <td class="td-centered">
                {{ data.username }}
            </td>
            <td>
                <div class="is-flex td-password">
                    <span data-id="password-{{ data.id }}">{{ data.password }}</span>
                    <a id="toogleShowPassword" class="button">
                        <i class="fa-solid fa-eye"></i>
                    </a>
                </div>
            </td>
            <td class="td-centered">
                <a data-id="data-url" class="is-link" target="_blank" href="{{ data.url }}">{{ data.url|truncate(25) }}</a>
            </td>
            <td>
                <div class="d-flex justify-content-end is-gapless-20">
                    <a href="{{ url('create_share', pk=data.id) }}" class="button">
                        <i class="fa-regular fa-share-from-square"></i>
                    </a>
                    <a href="{{ url('update_item', pk=data.id) }}" class="button">
                        <i class="fa-solid fa-pen-to-square" style="color: blue;"></i>
                    </a>
                    <button class="button"
                            data-title="Delete {{ data.username }}"
                            data-body="Would you like to delete {{ data.username }} ?"
                            data-target="delete-modal"
                            data-url="{{ url('delete_item', pk=data.id) }}"
                        >
                        <i class="fa-solid fa-trash" style="color: #db0000;"></i>
                    </button>
                </div>
            </td>
        </tr>
    {% endfor %}
{% endblock %}
